# Classes

##

### Classes

Slider
SliderControls

### Events

#### after

  After starting to move. Only one time for the whole animation.

  ##### Type: Object

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `data` | SlideEventData_Params |

#### afterEach

  After each slide move. If moving for 3 slides, it will be called 3 times.

  ##### Type: Object

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `data` | SlideEventData_Params |

#### before

  Before starting to move. Only one time for the whole animation.

  ##### Type: Object

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `data` | SlideEventData_Params |

#### beforeEach

  Before each slide move. If moving for 3 slides, it will be called 3 times.

  ##### Type: Object

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `data` | SlideEventData_Params |

#### start

  On the initialization of the slider

  ##### Type: Object

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `data` | SlideEventData_Params | Only currentSlide property

#### Search results